-- Vytvoření obecných tabulkových prostorů
CREATE TABLESPACE O_DAE_DATA DATAFILE 'F:\oradata\ORCL\O_DAE_DATA.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_DATA_MAXVALUE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_MAXVALUE.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_INDX DATAFILE 'F:\oradata\ORCL\O_DAE_INDX.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_INDX_MAXVALUE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_MAXVALUE.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_DATA;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_DATA_MAXVALUE;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_INDX;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_INDX_MAXVALUE;

ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_MAXVALUE.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_MAXVALUE.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;

-- Vytvoření tabulukových prostorů pro data
CREATE TABLESPACE O_DAE_DATA_Q_2021_1 DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_1.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_DATA_Q_2021_2 DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_2.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_DATA_Q_2021_3 DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_3.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_DATA_Q_2021_4 DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_4.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_1.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_2.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_3.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_DATA_Q_2021_4.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;

ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_DATA_Q_2021_1;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_DATA_Q_2021_2;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_DATA_Q_2021_3;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_DATA_Q_2021_4;

-- Vytvoření tabulukových prostorů pro indexy
CREATE TABLESPACE O_DAE_INDX_Q_2021_1 DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_1.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_INDX_Q_2021_2 DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_2.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_INDX_Q_2021_3 DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_3.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_DAE_INDX_Q_2021_4 DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_4.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_1.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_2.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_3.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\O_DAE_INDX_Q_2021_4.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;

ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_INDX_Q_2021_1;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_INDX_Q_2021_2;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_INDX_Q_2021_3;
ALTER USER USRBUF QUOTA UNLIMITED ON O_DAE_INDX_Q_2021_4;

COMMIT;