-- Tydenni Agregace pro MGA

ALTER SYSTEM FLUSH BUFFER_CACHE;
ALTER SYSTEM FLUSH SHARED_POOL;

ALTER SESSION DISABLE PARALLEL QUERY;
ALTER SESSION ENABLE PARALLEL QUERY;
SHOW PARAMETER OPTIMIZER_MODE;

-- Old
SELECT MIN(FROM_TIME), MAX(TO_TIME), SUM(QUANTITY)
FROM USRBUF.O_AF_VAL_CONS_RE
WHERE TO_TIME > TO_TIMESTAMP('2021-03-28', 'YYYY-MM-DD')
  AND TO_TIME <= TO_TIMESTAMP('2021-04-04', 'YYYY-MM-DD')
  AND MGA = 14660000853234864
  AND CONSUMPTION_TYPE = 14660000762936617
  AND MEASUREMENT_TYPE = 14660000853927168;

-- New
SELECT MIN(FROM_TIME), MAX(TO_TIME), SUM(QUANTITY)
FROM USRBUF.N_AF_VAL_CONS_RE
WHERE TO_TIME > TO_TIMESTAMP('2021-03-28', 'YYYY-MM-DD')
  AND TO_TIME <= TO_TIMESTAMP('2021-04-04', 'YYYY-MM-DD')
  AND MGA = 995
  AND CONSUMPTION_TYPE = 2
  AND MEASUREMENT_TYPE = 2;