﻿namespace DataGenerator
{
    public class ModelConfig
    {
        public Dimension[] Dimensions { get; set; }
        public Mec Mec { get; set; }
        public Values Values { get; set; }
    }

    public class Dimension
    {
        public string Name { get; set; }
        public int Count { get; set; }
        public DimensionDetail Old { get; set; }
        public DimensionDetail New { get; set; }
    }

    public class DimensionDetail
    {
        public string TableName { get; set; }
        public string[] Columns { get; set; }
        public bool WithTu { get; set; }
        public bool WithDfCode { get; set; }
        public bool WithCodingScheme { get; set; }
        public bool WithShortName { get; set; }
    }

    public class Mec
    {
        public string Name { get; set; }
        public int Count { get; set; }
        public MecDetail Old { get; set; }
        public MecDetail New { get; set; }
    }

    public class MecDetail
    {
        public string TableName { get; set; }
        public string[] Columns { get; set; }
    }

    public class Values
    {
        public string Name { get; set; }
        public string MecName { get; set; }
        public int CountOfValuesInDay { get; set; }
        public int CountOfDays { get; set; }
        public int Batch { get; set; }
        public ValuesDetail Old { get; set; }
        public ValuesDetail New { get; set; }
    }

    public class ValuesDetail
    {
        public string TableName { get; set; }
        public string[] Columns { get; set; }
    }
}