-- Vytvoření obecných tabulkových prostorů
CREATE TABLESPACE N_DAE_DATA DATAFILE 'F:\oradata\ORCL\N_DAE_DATA.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_MAXVALUE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_MAXVALUE.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX DATAFILE 'F:\oradata\ORCL\N_DAE_INDX.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_MAXVALUE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_MAXVALUE.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_MAXVALUE;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_MAXVALUE;

ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_MAXVALUE.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_MAXVALUE.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;

-- Vytvoření tabulukových prostorů pro data
CREATE TABLESPACE N_DAE_DATA_M_2021_1 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_1.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_2 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_2.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_3 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_3.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_4 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_4.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_5 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_5.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_6 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_6.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_7 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_7.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_8 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_8.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_9 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_9.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_10 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_10.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_11 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_11.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_DATA_M_2021_12 DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_12.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_1.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_2.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_3.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_4.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_5.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_6.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_7.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_8.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_9.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_10.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_11.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_DATA_M_2021_12.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;

ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_1;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_2;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_3;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_4;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_5;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_6;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_7;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_8;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_9;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_10;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_11;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_DATA_M_2021_12;

-- Vytvoření tabulukových prostorů pro indexy
CREATE TABLESPACE N_DAE_INDX_M_2021_1 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_1.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_2 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_2.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_3 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_3.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_4 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_4.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_5 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_5.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_6 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_6.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_7 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_7.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_8 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_8.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_9 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_9.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_10 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_10.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_11 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_11.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE N_DAE_INDX_M_2021_12 DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_12.DBF' SIZE 1M EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_1.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_2.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_3.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_4.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_5.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_6.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_7.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_8.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_9.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_10.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_11.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;
ALTER DATABASE DATAFILE 'F:\oradata\ORCL\N_DAE_INDX_M_2021_12.DBF' AUTOEXTEND ON MAXSIZE UNLIMITED;

ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_1;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_2;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_3;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_4;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_5;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_6;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_7;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_8;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_9;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_10;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_11;
ALTER USER USRBUF QUOTA UNLIMITED ON N_DAE_INDX_M_2021_12;

COMMIT;