-- Nacteni mesice dat

ALTER SYSTEM FLUSH BUFFER_CACHE;
ALTER SYSTEM FLUSH SHARED_POOL;

ALTER SESSION DISABLE PARALLEL QUERY;
ALTER SESSION ENABLE PARALLEL QUERY;

ALTER SESSION SET OPTIMIZER_MODE = ALL_ROWS;
SHOW PARAMETER OPTIMIZER_MODE;

-- Old
SELECT FROM_TIME, TO_TIME, QUANTITY, QUALITY
FROM USRBUF.O_AF_VAL_CONS_RE
WHERE TO_TIME > TO_TIMESTAMP('2021-03-15', 'YYYY-MM-DD')
  AND TO_TIME <= TO_TIMESTAMP('2021-04-15', 'YYYY-MM-DD')
  AND MGA = 14660000853234864
  AND RE = 14660000103559374
  AND CONSUMPTION_TYPE = 14660000762936617
  AND MEASUREMENT_TYPE = 14660000853927168
ORDER BY TO_TIME;

-- New
SELECT FROM_TIME, TO_TIME, QUANTITY, QUALITY
FROM USRBUF.N_AF_VAL_CONS_RE
WHERE TO_TIME > TO_TIMESTAMP('2021-03-15', 'YYYY-MM-DD')
  AND TO_TIME <= TO_TIMESTAMP('2021-04-15', 'YYYY-MM-DD')
  AND MGA = 995
  AND RE = 10
  AND CONSUMPTION_TYPE = 2
  AND MEASUREMENT_TYPE = 2
ORDER BY TO_TIME;